<html>
<head>
<title>Ogre::VisibleObjectsBoundsInfo Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html">VisibleObjectsBoundsInfo</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::VisibleObjectsBoundsInfo Struct Reference<div class="ingroups"><a class="el" href="group__Scene.html">Scene</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::VisibleObjectsBoundsInfo" -->
<p>Structure collecting together information about the visible objects that have been discovered in a scene.  
 <a href="structOgre_1_1VisibleObjectsBoundsInfo.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>&gt;</code></p>

<p><a href="structOgre_1_1VisibleObjectsBoundsInfo-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#a2bbff049935d8d0eb89d49cc74a89431">VisibleObjectsBoundsInfo</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#ae30061f7fee451b125003e00b2254805">reset</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#a2619f0cbd6507670ba39df1ae16c2187">merge</a> (const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;boxBounds, const <a class="el" href="classOgre_1_1Sphere.html">Sphere</a> &amp;sphereBounds, const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam, bool receiver=true)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#a2d0696c263b1c322f93c21291329c00e">mergeNonRenderedButInFrustum</a> (const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;boxBounds, const <a class="el" href="classOgre_1_1Sphere.html">Sphere</a> &amp;sphereBounds, const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Merge an object that is not being rendered because it's not a shadow caster, but is a shadow receiver so should be included in the range.  <a href="#a2d0696c263b1c322f93c21291329c00e"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#a7af1e407d66960fa69fd37e897415f31">aabb</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The axis-aligned bounds of the visible objects.  <a href="#a7af1e407d66960fa69fd37e897415f31"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#a3020f462ae4980e068c60fb94ced0c9a">receiverAabb</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The axis-aligned bounds of the visible shadow receiver objects.  <a href="#a3020f462ae4980e068c60fb94ced0c9a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#a821c0a7e158c459f30fd83e214bb47d3">minDistance</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The closest a visible object is to the camera.  <a href="#a821c0a7e158c459f30fd83e214bb47d3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#a27ab7b6458b47fade5858c4ec457dd2f">maxDistance</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The farthest a visible objects is from the camera.  <a href="#a27ab7b6458b47fade5858c4ec457dd2f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#ae17227fc412fe731987dee3e12591002">minDistanceInFrustum</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The closest a object in the frustum regardless of visibility / shadow caster flags.  <a href="#ae17227fc412fe731987dee3e12591002"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#a3054df454ccf16dc5ff558a23bafff1d">maxDistanceInFrustum</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The farthest object in the frustum regardless of visibility / shadow caster flags.  <a href="#a3054df454ccf16dc5ff558a23bafff1d"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Structure collecting together information about the visible objects that have been discovered in a scene. </p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00083">83</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a2bbff049935d8d0eb89d49cc74a89431"></a><!-- doxytag: member="Ogre::VisibleObjectsBoundsInfo::VisibleObjectsBoundsInfo" ref="a2bbff049935d8d0eb89d49cc74a89431" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#a2bbff049935d8d0eb89d49cc74a89431">Ogre::VisibleObjectsBoundsInfo::VisibleObjectsBoundsInfo</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a2619f0cbd6507670ba39df1ae16c2187"></a><!-- doxytag: member="Ogre::VisibleObjectsBoundsInfo::merge" ref="a2619f0cbd6507670ba39df1ae16c2187" args="(const AxisAlignedBox &amp;boxBounds, const Sphere &amp;sphereBounds, const Camera *cam, bool receiver=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#a2619f0cbd6507670ba39df1ae16c2187">Ogre::VisibleObjectsBoundsInfo::merge</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&#160;</td>
          <td class="paramname"><em>boxBounds</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Sphere.html">Sphere</a> &amp;&#160;</td>
          <td class="paramname"><em>sphereBounds</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *&#160;</td>
          <td class="paramname"><em>cam</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>receiver</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2d0696c263b1c322f93c21291329c00e"></a><!-- doxytag: member="Ogre::VisibleObjectsBoundsInfo::mergeNonRenderedButInFrustum" ref="a2d0696c263b1c322f93c21291329c00e" args="(const AxisAlignedBox &amp;boxBounds, const Sphere &amp;sphereBounds, const Camera *cam)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#a2d0696c263b1c322f93c21291329c00e">Ogre::VisibleObjectsBoundsInfo::mergeNonRenderedButInFrustum</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&#160;</td>
          <td class="paramname"><em>boxBounds</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Sphere.html">Sphere</a> &amp;&#160;</td>
          <td class="paramname"><em>sphereBounds</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *&#160;</td>
          <td class="paramname"><em>cam</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Merge an object that is not being rendered because it's not a shadow caster, but is a shadow receiver so should be included in the range. </p>

</div>
</div>
<a class="anchor" id="ae30061f7fee451b125003e00b2254805"></a><!-- doxytag: member="Ogre::VisibleObjectsBoundsInfo::reset" ref="ae30061f7fee451b125003e00b2254805" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#ae30061f7fee451b125003e00b2254805">Ogre::VisibleObjectsBoundsInfo::reset</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a7af1e407d66960fa69fd37e897415f31"></a><!-- doxytag: member="Ogre::VisibleObjectsBoundsInfo::aabb" ref="a7af1e407d66960fa69fd37e897415f31" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> <a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#a7af1e407d66960fa69fd37e897415f31">Ogre::VisibleObjectsBoundsInfo::aabb</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The axis-aligned bounds of the visible objects. </p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00086">86</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a27ab7b6458b47fade5858c4ec457dd2f"></a><!-- doxytag: member="Ogre::VisibleObjectsBoundsInfo::maxDistance" ref="a27ab7b6458b47fade5858c4ec457dd2f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#a27ab7b6458b47fade5858c4ec457dd2f">Ogre::VisibleObjectsBoundsInfo::maxDistance</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The farthest a visible objects is from the camera. </p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00092">92</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3054df454ccf16dc5ff558a23bafff1d"></a><!-- doxytag: member="Ogre::VisibleObjectsBoundsInfo::maxDistanceInFrustum" ref="a3054df454ccf16dc5ff558a23bafff1d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#a3054df454ccf16dc5ff558a23bafff1d">Ogre::VisibleObjectsBoundsInfo::maxDistanceInFrustum</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The farthest object in the frustum regardless of visibility / shadow caster flags. </p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00096">96</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a821c0a7e158c459f30fd83e214bb47d3"></a><!-- doxytag: member="Ogre::VisibleObjectsBoundsInfo::minDistance" ref="a821c0a7e158c459f30fd83e214bb47d3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#a821c0a7e158c459f30fd83e214bb47d3">Ogre::VisibleObjectsBoundsInfo::minDistance</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The closest a visible object is to the camera. </p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00090">90</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae17227fc412fe731987dee3e12591002"></a><!-- doxytag: member="Ogre::VisibleObjectsBoundsInfo::minDistanceInFrustum" ref="ae17227fc412fe731987dee3e12591002" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#ae17227fc412fe731987dee3e12591002">Ogre::VisibleObjectsBoundsInfo::minDistanceInFrustum</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The closest a object in the frustum regardless of visibility / shadow caster flags. </p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00094">94</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3020f462ae4980e068c60fb94ced0c9a"></a><!-- doxytag: member="Ogre::VisibleObjectsBoundsInfo::receiverAabb" ref="a3020f462ae4980e068c60fb94ced0c9a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> <a class="el" href="structOgre_1_1VisibleObjectsBoundsInfo.html#a3020f462ae4980e068c60fb94ced0c9a">Ogre::VisibleObjectsBoundsInfo::receiverAabb</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The axis-aligned bounds of the visible shadow receiver objects. </p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l00088">88</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:05
</p>
</body>
</html>
